#!/bin/bash -x

NAME="pre-vdi-client"
LOG="/tmp/$NAME-$USER.log"

endscript() {
	local exitcode="$1"
	echo "$NAME script ended at $(date)"
	exit "$exitcode"
}

exec &> >(tee "$LOG") #bashism

echo "$NAME script started at $(date)"

##vdiclnt

tnxisrun=$(pgrep -f tionix_vdi_client)

if [ -n "$tnxisrun" ];then
	zenity --warning --timeout 10 --text="VDI Client уже запущен"
	endscript 1
fi

##/vdiclnt

##checkvdi
vdibroker="$(awk '/^cloud/ {print $3}' "$HOME"/.tionix-vdi-client/client.conf)"
vdicode=$(curl -sL --connect-timeout 10 -w "%{http_code}\n" "$vdibroker/vdi/api/" -o /dev/null)

if [ "$vdicode" -ne "200" -o "$?" -ne "0" ];then
	zenity --error --timeout 10 --text="VDI сервис недоступен!"
	endscript 1
fi
##/checkvdi

##zastava ike-cfg
ikecfg="$(/opt/ZASTAVAclient/bin/vpnmonitor -i -view details | awk -F'|' '/^IKE-CFG address/ {print $2}')"

if [ -z "$ikecfg" ];then
	zenity --error --timeout 10 --text="Не удалось получить виртуальный адрес IKE-CFG у Застава Клиента!"
	endscript 1
fi
##/zastava ike-cfg

tionix_vdi_client --ikecfg "$ikecfg"

endscript 0
